Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cursor
Class GameCursor

    java.lang.Object
      com.golden.gamedev.object.Sprite
          cursor.GameCursor

All Implemented Interfaces:
  java.io.Serializable

    public class GameCursor

extends com.golden.gamedev.object.Sprite

This class represents a game cursor that is based on an animated sprite

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`GameCursor(java.lang.String constant, java.awt.image.BufferedImage icon)` Creates a new game cursor with the specified parameters

Method Summary
`java.lang.String` | `getConstant()` Returns the constant of this cursor

Methods inherited from class com.golden.gamedev.object.Sprite
`addHorizontalSpeed, addVerticalSpeed, forceX, forceY, getBackground, getDataID, getDistance, getHeight, getHorizontalSpeed, getID, getImage, getLayer, getOldX, getOldY, getScreenX, getScreenY, getVerticalSpeed, getWidth, getX, getY, isActive, isImmutable, isOnScreen, isOnScreen, move, moveTo, moveX, moveY, render, render, setActive, setBackground, setDataID, setHorizontalSpeed, setID, setImage, setImmutable, setLayer, setLocation, setMovement, setSpeed, setVerticalSpeed, setX, setY, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameCursor

    public GameCursor(java.lang.String constant,
                      java.awt.image.BufferedImage icon)

  Creates a new game cursor with the specified parameters

  Parameters:
    `constant` - cursor constant like Cursors.TALK
    `icon` - icon to use for the cursor

Method Detail

### getConstant

    public java.lang.String getConstant()

  Returns the constant of this cursor

  Returns:
    cursor constant

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD